@charset "utf-8";
@import "../../_variables.sass";

.dashboard-help-container {
  padding: 24px;
  @include mobile {
    padding: 20px;
  }
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
}

.column-flex {
  flex-direction: column;
  padding: 34px 24px;
}

.dashboard-help {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
}

.check-list {
  flex-grow: 1;
  display: block;
}

.button-container {
  display: inline-flex;
  align-self: flex-start;
}

.all-dashboards-button-container {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 26px;

  .button {
    padding: 1.5rem !important;
  }
}


.my-dashboard-instructions {

  ul {
    padding-left: 1.5rem;
    list-style-type: none;
  }

  li {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 1.5rem;
  }

  li::before {
    content: "\2022";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    color: $dark-grey;
    font-size: 18px;
  }

  .icon, .pin-icon-instruction {
    margin-left: 0.2rem;
    vertical-align: middle;
  }

  .pin-icon-instruction {
    background-color: $primary !important;
    padding: 0.3em;
    border-radius: 0;
  }

  .pin-icon-instruction path {
    fill: #fff;
  }

  .underline {
    text-decoration: underline;
  }

  @include mobile {
    ul {
      padding-left: 0;
      list-style-type: none;
    }

    li {
      display: block;
      padding-left: 0;
    }

    li::before {
      content: "";
    }

    .icon, .pin-icon-instruction {
      display: none;
    }

  }
}